<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('email_notification_settings', function (Blueprint $table) {
            $table->id();
            $table->boolean('new_project_mail_client')->default(false);
            $table->boolean('new_milestones_mail_client')->default(false);
            $table->boolean('new_subscriptions_mail_client')->default(false);
            $table->boolean('payment_request_mail_admin')->default(false);
            $table->boolean('new_invoices_mail_client')->default(false);
            $table->boolean('new_meetings_mail_all_members')->default(false);
            $table->boolean('contracts_mail_client')->default(false);
            $table->boolean('new_tickets_mail_admin')->default(false);
            $table->boolean('new_task_add_mail_employee')->default(false);
            $table->boolean('new_message_mail_user')->default(false);
            $table->boolean('new_projects_add_mail_client')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('email_notification_settings');
    }
};
